/*
 * Illustration
 *
 * Index
 * - Sizes
 * - Colors
 * - Rotation
 */

:host {
  box-sizing: content-box;
  display: inline-block;
  color: var(--road-icon);
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  fill: currentColor;
  contain: strict;
}

:host svg {
  display: block;
  width: 100%;
  height: 100%;
}

/* SIZES
 -------------------- */

:host(.illustration-sm) {
  width: 4rem;
  height: 4rem;
}

:host(.illustration-md) {
  width: 8rem;
  height: 8rem;
}

:host(.illustration-lg) {
  width: 16rem;
  height: 16rem;
}

:host(.illustration-2x) {
  width: 32rem;
  height: 32rem;
}

/* ROTATION
 -------------------- */

:host(.illustration-rotate-90) {
  transform: rotate(90deg);
}

:host(.illustration-rotate-180) {
  transform: rotate(180deg);
}

:host(.illustration-rotate-270) {
  transform: rotate(270deg);
}
